<?php
error_reporting(0);

// Emulate register_globals on
if (!ini_get('register_globals')) {
   $superglobals = array($_SERVER, $_ENV,
      $_FILES, $_COOKIE, $_POST, $_GET);
   if (isset($_SESSION)) {
      array_unshift($superglobals, $_SESSION);
   }
   foreach ($superglobals as $superglobal) {
      extract($superglobal, EXTR_SKIP);
   }
   @ini_set('register_globals', true);
   }
// Emulate register_globals on

$form_action=$_SERVER['PHP_SELF'];
$products=array(1=>'Mighty Content Locker');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Server Compatibility Test Script</title>
<style>
body {
    margin: 0;
    padding: 0;
    background: #fff;
	text-align: center;
 	font: 14px arial;
 	font-family:arial;
 	text-decoration: none;
 	color: #000000;
 	font-weight: normal;
}

html,body {
	height: 100%;
	min-height:100%;
}

.sectitle {
font-family:  Arial;
font-size: 22px;
font-weight: bold;
color:black;
text-decoration: none
}

td {
padding: 3px 3px 3px 3px;
font-family:  Arial;
font-size: 12px;
font-weight: normal;
color:black;
text-decoration: none;
}

a
{
 font: 13px arial;
 font-family:arial;
 text-decoration: none;
 color: #000090;
 font-weight: normal;
}

a:hover
{
    cursor: pointer;
    color: red;
    text-decoration: underline;
}

.stitle {
font-family:  Arial;
font-size: 12px;
font-weight: bold;
color:black;
text-decoration: none;
vertical-align: bottom;
}

.ok { font-family: Arial; font-size: 12px;color:green; font-weight: bold}
.err { font-family: Arial; font-size: 12px;color:red; font-weight: bold}
.warning { font-family: Arial; font-size: 12px;color:#760000; font-weight: bold}
</style>
<script>
function MM_jumpMenu(selObj)
{
selObj.form.submit();
selObj.selectedIndex=0;
}
</script>
</head>
<body>
<center>

<br>
<form action="<?php echo $form_action;?>" method="POST" enctype="multipart/form-data">
<table width="500" border="1" style="border-collapse: collapse" bordercolor="#5e74b3">

<tr>
<td align="center" width="100%" style="background: #D7E6FA;"><span class="sectitle">Server Compatibility Test Script</span></td>
</tr>

<tr>
<td>
Use this script to check the compatibility of Your server with any of
<a href="http://www.innocoders.com/"><strong>Inno Coders</strong></a> Products.
<br><Br>

The script will run a number of tests and let You know if there are any issues with Your
server that could affect compatibility with any of Our products.
</td>
</tr>

<tr>
<td>
<b>Select Product:</b> <select name="product" onChange="MM_jumpMenu(this)"><?php show_products();?></select>
</td>
</tr>

</table>
</form>

<?php
if(isset($product))
{
$tests=get_tests($product);
extract($tests);
?>

<br><br>

<table width="900" border="1" style="border-collapse: collapse" bordercolor="#5e74b3">

<tr>
<td colspan="3" align="center" width="100%" style="background: #D7E6FA;"><span class="sectitle"><?php echo $products[$product];?> Compatibility Checks</span></td>
</tr>

<tr>
<td align="center" width="200"><span class="stitle">TEST</span></td>
<td align="center" width="200"><span class="stitle">REQUIREMENT</span></td>
<td align="center" width="500"><span class="stitle">YOUR SERVER</span></td>
</tr>

<!-- PHP VERSION-->
<?php if(isset($test_php)){?>
<tr>
<td><b>PHP Version</b></td>
<td>5.3 and greater</td>
<td>
<?php
$version=version_compare(phpversion(),'5.3');

if($version==-1)
{
 $class='err';
 $msg='Upgrade your PHP to atleast 5.3.0 version';
}
else
{
 $class='ok';
 $msg='OK';
}

show_text($class,phpversion().' - '.$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP VERSION-->

<!-- PHP SAFE MODE-->
<?php if(isset($test_safemode)){?>
<tr>
<td><b>PHP Safe Mode</b></td>
<td>Disabled</td>
<td>
<?php
if(ini_get('safe_mode')==0)
{
 $class='ok';
 $msg='It is disabled - OK';
}
else
{
 $class='err';
 $msg='PHP Safe Mode is enabled.<br>Ask your server administrator to disable it.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP SAFE MODE-->

<!-- IONCUBE LOADER-->

<?php if(isset($test_ioncube)){?>
<tr>
<td><b>Ioncube Loader</b></td>
<td>Installed & Enabled</td>
<td>
<?php
if(extension_loaded('Ioncube Loader') and function_exists('ioncube_loader_version'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='Ioncube Loader does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable latest version of Ioncube Loader';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- IONCUBE LOADER-->

<!-- IONCUBE LOADER VERSION-->
<?php if(isset($test_ioncubeversion) and extension_loaded('Ioncube Loader')){?>

<tr>
<td width="200"><b>Ioncube Loader Version</b></td>
<td width="200">4.0 and greater</td>
<td width="500">
<?php
if(function_exists('ioncube_loader_version'))
{
if(version_compare(ioncube_loader_version(),'4.0')==-1)
{
 $class='err';
 $msg=ioncube_loader_version().' - Your Ioncube Loader version is old and incompatible with Our software!<br> Ask your server administrator to update it to latest version!';
}
else
{
 $class='ok';
 $msg=ioncube_loader_version().' - OK';
}
}
else
{
 $class='err';
 $msg='Could not determine Your Ioncube Loader version!<br>It is old and could be problemable.<br>It is highly advicable to ask your server administrator update it to latest version!';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- IONCUBE LOADER VERSION-->

<!-- PHP MYSQL-->
<?php if(isset($test_mysql)){?>
<tr>
<td><b>PHP MySQL Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('mysql'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP MySQL Extension does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable PHP MySQL Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP MYSQL-->

<!-- PHP CURL-->
<?php if(isset($test_curl)){?>
<tr>
<td><b>PHP CURL Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('curl'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP CURL Extension does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable PHP CURL Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP CURL-->

<!-- PHP XML-->
<?php if(isset($test_xml)){?>
<tr>
<td><b>PHP XML Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('xml'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP XML Extension does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable PHP XML Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP XML-->

<!-- PHP JSON-->
<?php if(isset($test_json)){?>
<tr>
<td><b>PHP JSON Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('json'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP JSON Extension does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable PHP JSON Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP JSON-->

<!-- PHP ZLIB-->
<?php if(isset($test_zlib)){?>
<tr>
<td><b>PHP Zlib Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('zlib'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP Zlib Extension does not seem to be installed/enabled.<br>It is Optional requirement.<br>You still can use the software, but with lack of certain features!<br>Ask your server administrator to install enable PHP Zlib Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP ZLIB-->

<!-- PHP OPENSSL-->
<?php if(isset($test_json)){?>
<tr>
<td><b>PHP OpenSSL Extension</b></td>
<td>Installed/Enabled</td>
<td>
<?php
if(extension_loaded('openssl'))
{
 $class='ok';
 $msg='Appears to be Installed & Enabled OK';
}
else
{
 $class='err';
 $msg='PHP OpenSSL Extension does not seem to be installed/enabled.<br>It is completely necessary for this software!<br>Ask your server administrator to install enable PHP OpenSSL Extension.';
}

show_text($class,$msg);
?>
</td>
</tr>
<?php }?>
<!-- PHP OPENSSL-->

</table>
<?php }?>

<br><br>
Products & Services Offered by <a href="http://www.innocoders.com/" target="_blank"><strong>Inno Coders</strong></a><br>
</center>
</body>
</html>
<?php

function show_products()
{
global $products;

echo '<option value="0">--------------</option>';

foreach($products as $key=>$product)
 echo "<option value='$key'>$product</option>\r\n";
}

function show_text($class='',$msg='')
{
echo '<span class="'.$class.'">'.$msg.'</span>';
}

function get_tests($product=0)
{
$tmp=array();

if($product==1) // MIGHTY CONTENT LOCKER
 $tmp=array('test_php'=>1,'test_safemode'=>1,'test_ioncube'=>1,'test_ioncubeversion'=>1,'test_mysql'=>1,'test_curl'=>1,'test_xml'=>1,'test_json'=>1,'test_zlib'=>1,'test_openssl'=>1);

return $tmp;
}
?>
